#include <avr/pgmspace.h>
// Keine C++-Datei um Warnings (des älteren avr-gcc) zu vermeiden

// Ausrufezeichen für invertierte Bedeutung (lies: Nicht)
// Diese Strings erscheinen als Alarmtext.
// Siehe Schaltungsunterlagen Blatt 22 ff.
// Kartenname „HCPU“ (nunmehr ohne CPU, nur Optokoppler)
PROGMEM const char Ndi[] =	// Namen digitaler Eingänge (32)
 /* 2e */	"Taster START\0"
 /* 2c */	"!Tank Entwicker voll\0"
 /* 4e */	"-\0"
 /* 4c */	"!Tank Entwicker Überlauf\0"
 /* 6e */	"Taster STOP\0"
 /* 6c */	"!Tank Entwicker 2 voll\0"
 /* 8e */	"!Tür offen\0"
 /* 8c */	"!Tank Entwicker 2 Überlauf\0"

 /* 10e */	"!Vakuum Chuck fehlt\0"
 /* 10c */	"\0"			// Option !Tank Ätzer voll
 /* 12e */	"!Absaugung fehlt\0"
 /* 12c */	"\0"			// Option !Tank Ätzer Überlauf
 /* 14e */	"\0"
 /* 14c */	"\0"			// Option !Tank Ätzer 2 voll
 /* 16e */	"!Tankeinschub offen\0"
 /* 16c */	"\0"			// Option !Tank Ätzer 2 Überlauf

 /* 18e */	"!Tank Entwickler leer\0"
 /* 18c */	"\0"			// Tankentlüftung (ein Schalter)
 /* 20e */	"eins\0"
 /* 20c */	"\0"
 /* 22e */	"!Tank Ätzer leer\0"
 /* 22c */	"\0"
 /* 24e */	"\0"
 /* 24c */	"\0"

 /* 26e */	"!Tank 5 leer\0"
 /* 26c */	"\0"
 /* 28e */	"\0"			// Option !Tank 6 leer
 /* 28c */	"\0"
 /* 30e */	"\0"			// Option !Tank 7 leer
 /* 30c */	"!Motortemperatur\0"
 /* 32e */	"\0"			// Option !Tank 8 leer
 /* 32c */	"!Motorstörung"
;

// Kartenname „HTOP“ oder „HTOP1“
PROGMEM const char Ndo1[] =	// Namen digitaler Ausgänge 1 (29)
 /* 6e */	"Entwickler\0"
 /* 6c */	"Zerstäuben E\0"
 /* 6a */	"Spülen E\0"
 /* 8e */	"Entwickler 2\0"	// (nicht bestückt)
 /* 8c */	"Zerstäuben E2\0"
 /* 8a */	"Spülen E2\0"
 /* 10e */	"Ätzer\0"
 /* 10c */	"Zerstäuben Ä\0"

 /* 10a */	"Spülen Ä\0"
 /* 12e */	"Ätzer 2\0"		// (nicht bestückt)
 /* 12c */	"Zerstäuben Ä2\0"
 /* 12a */	"Spülen Ä2\0"
 /* 14e */	"Strippmedium\0"
 /* 14c */	"\0"
 /* 14a */	"\0"
 /* 16e */	"Spülung oben\0"	// mit DI-Wasser

 /* 16c */	"\0"
 /* 16a */	"\0"
 /* 18e */	"Spülung unten\0"	// mit DI-Wasser
 /* 18c */	"\0"
 /* 18a */	"\0"
 /* 20e */	"\0"
 /* 20c */	"\0"
 /* 20c */	"\0"
 
 /* 22eca */	"Spindelmotor\0"	// 0 = Achse frei, 1 = Antrieb durch Bestromung
 /* 24eca */	"Relais\0"
 /* 26eca */	"Relais\0"
 /* 28eca */	"Hupe\0"	// befindet sich beim Karteneinschub
 /* ohne Pin */	"Überlast"	// … an Ausgang 0..23, einziger digitaler Eingang
;

// Diese Karte „HTOP2“ wird kaum benutzt. Siehe Blatt 37 ff.
PROGMEM const char Ndo2[] =	// Namen digitaler Ausgänge 2 (29)
 "\0"
 "\0"
 "\0"
 "\0"
 "\0"
 "\0"
 /* 10e */	"Vakuum Chuck ein\0"
 /* 10c */	"Vakuum Chuck aus\0"

 "\0"
 "\0"
 "\0"
 "\0"
 "\0"
 "\0"
 "\0"
 "\0"

 "\0"
 "\0"
 "\0"
 "\0"
 /* 18a */	"\0"
 /* 20e */	"Hausablauf\0"
 /* 20c */	"Ablauf Medium 1\0"
 /* 20a */	"Ablauf Medium 2\0"

 "Relais\0"
 "Relais\0"
 "Relais\0"
 "Relais\0"
 "Überlast"	// Einziger digitaler Eingang
;

// Kartenname „HANA“. Siehe Schaltungsunterlagen Blatt 29 ff.
PROGMEM const char Na[] =
 "Istwert Drehzahl\0"	// 12-bit-A/D-Wandler AD574

 "AD7828(0)\0"	// 8-bit-A/D-Wandler AD7828
 "(1)\0"
 "(2)\0"
 "(3)\0"
 "(4)\0"
 "(5)\0"
 "(6)\0"
 "(7)\0"
 
 "Sollwert Drehzahl\0"	// 14-bit-D/A-Wandler AD7534
 
 "AD7228(0)\0"	// 8-bit-D/A-Wandler AD7228
 "(1)\0"
 "(2)\0"
 "(3)\0"
 "(4)\0"
 "(5)\0"
 "(6)\0"
 "(7)\0"

 "Zähler A\0"
 "B\0"
 "C"
;

PROGMEM const char*const Nlist[]={Ndi+0x8000,Ndo1+0x8000,Ndo2+0x8000};
